export const RANGES = {
  'C3-C5 (2 octaves)': '48|72',
  'C3-C6 (3 octaves)': '48|84',
  'C2-C6 (4 octaves)': '36|84',
  'C2-C7 (5 octaves)': '36|96',
  'E1-E7 (73 keys)': '28|100',
  'E1-G7 (76 keys)': '28|103',
  'A0-C8 (88 keys)': '21|108',
  'C0-B9 (108 keys)': '12|119',
  'Full MIDI (128 keys)': '0|127'
}

export const SCALE_FACTORS = {
  '1x': '1',
  '2x': '2'
}

export const NATURAL_KEY_WIDTHS = [16, 18, 20]

export interface Config {
  range: string
  queryDeviceKey: string
  scaleFactor: string
  naturalKeyColor: string
  accidentalKeyColor: string
  naturalKeyWidth: string
}

export const defaultConfig: Config = {
  range: '21|108',
  queryDeviceKey: '',
  scaleFactor: '2',
  naturalKeyColor: '#e3e3e5',
  accidentalKeyColor: '#35313b',
  naturalKeyWidth: '18'
}
