import * as React from 'react'

export interface UseFormReturn {
  handleAction: React.FormEventHandler<HTMLElementTagNameMap['form']>
}

export const useForm = (): UseFormReturn => {
  const handleAction: React.FormEventHandler<HTMLElementTagNameMap['form']> = (e) => {
    e.preventDefault()
    const { submitter } = e.nativeEvent as unknown as { submitter: HTMLElementTagNameMap['button'] }
    if (submitter.name !== 'action') {
      return
    }
    const formValue = new FormData(e.currentTarget)
    const values = Object.fromEntries(formValue.entries())
    window.electron.ipcRenderer.send('action', submitter.value, values)
  }

  return {
    handleAction
  }
}
